namespace EgtBEAMWALL.DataLayer.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AddProdStatusVarAndIndex : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.ProdList", "IsActive", c => c.Boolean(nullable: false));
            AddColumn("dbo.ProdList", "IsProduced", c => c.Boolean(nullable: false));
            AddColumn("dbo.ProdList", "IsArchived", c => c.Boolean(nullable: false));
            CreateIndex("dbo.ProjList", "DtCreated");
            CreateIndex("dbo.ProjList", "DtExported");
            CreateIndex("dbo.ProjList", "IsActive");
            CreateIndex("dbo.ProjList", "IsNew");
            CreateIndex("dbo.ProjList", "Id");
            CreateIndex("dbo.ProdList", "DtCreated");
            CreateIndex("dbo.ProdList", "Id");
            CreateIndex("dbo.ProdList", "IsActive");
            CreateIndex("dbo.ProdList", "IsProduced");
            CreateIndex("dbo.ProdList", "IsArchived");
        }
        
        public override void Down()
        {
            DropIndex("dbo.ProdList", new[] { "IsArchived" });
            DropIndex("dbo.ProdList", new[] { "IsProduced" });
            DropIndex("dbo.ProdList", new[] { "IsActive" });
            DropIndex("dbo.ProdList", new[] { "Id" });
            DropIndex("dbo.ProdList", new[] { "DtCreated" });
            DropIndex("dbo.ProjList", new[] { "Id" });
            DropIndex("dbo.ProjList", new[] { "IsNew" });
            DropIndex("dbo.ProjList", new[] { "IsActive" });
            DropIndex("dbo.ProjList", new[] { "DtExported" });
            DropIndex("dbo.ProjList", new[] { "DtCreated" });
            DropColumn("dbo.ProdList", "IsArchived");
            DropColumn("dbo.ProdList", "IsProduced");
            DropColumn("dbo.ProdList", "IsActive");
        }
    }
}
